package com.hz.pm.api.external;

import com.hz.pm.api.AppTests;
import com.hz.pm.api.common.helper.MsgCallHelper;
import com.hz.pm.api.common.util.EnvironmentUtil;
import com.hz.pm.api.external.model.dto.CallRetDTO;
import com.hz.pm.api.sys.model.enumeration.BizTypeEnum;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;

import java.util.Collection;
import java.util.Collections;

import static org.junit.jupiter.api.Assertions.*;

/**
 * <p>
 * MobileCallClientTest
 * </p>
 *
 * @author WendyYang
 * @since 16:34 2024/4/26
 */
class MobileCallClientTest extends AppTests {

    @Autowired
    private MsgCallHelper msgCallHelper;

    @Test
    void sendCall() {
        String format = String.format("【杭州数字信创】尊敬的专家您好，%s现邀请您作为专家参加%s会议，会议时间：%s，会议地点：%s。 确认参加请按 1，拒绝参加请按 2。请您选择",
                "信创办", "测试语音", "2024年1月1日 12:30 至 2024年1月1日 12:30", "杭州市");
        String ret = msgCallHelper.sendCall("19530651430", format, BizTypeEnum.EXPERT_INVITE);
        System.out.println(ret);
    }

    @Test
    void replyCall() {
        System.out.println(msgCallHelper.callReply("3086259928697016320"));
    }
}